__BLK_RUN_QUEUE_UNCO(9)

NAME
__blk_run_queue_uncond - run a queue whether or not it has been stopped

SYNOPSIS

void __blk_run_queue_uncond(struct request_queue * q);

ARGUMENTS

q
    The queue to run

DESCRIPTION

Invoke request handling on a queue if there are any pending requests. May be used to restart request handling after a request has completed. This variant runs the queue whether or not the queue has been stopped. Must be called with the queue lock held and interrupts disabled. See also blk_run_queue.

COPYRIGHT